generator-marionette-frontend
==============

### Requierments

1. Node installed
2. Yeoman installed (http://yeoman.io/)
3. Grunt installed (http://gruntjs.com/)
4. Bower installed (http://bower.io/)

### Setup

```
npm install -g generator-marionette-frontend
```

### Creating a new project

```
mkdir example && cd example
yo generator-marionette
grunt
```

> Now go to http://localhost:9001/development/

### Creating a new plugin

```
yo generator-marionette:plugin
```

### Creating a new module

```
yo generator-marionette:module
```

### Want to see how your site looks like in production?
```
grunt --target=staging
```
> Now go to http://localhost:9001/staging/

### Directory structure

- app/
    * autoload              --> Autogenerated plugin / module loader files
    * components            --> Components that are shared between modules go here
    * modules
        - auth              --> Auth module, handles authentications
        - home              --> Home module, simple module demo.
    * plugins
        - logger            --> Simple console.log wrapper.
        - navigate          --> Wrapper for Backbone.history.navigate
    * utils                 --> Utility files
    * app.js
    * bootstrap.js          --> Bootstraps our application
    * configuration.js      --> Application configuration (making different libraries play nice with eachother)
    * entities.js           --> Backend requests should be listed here, think of this as a DAO (http://en.wikipedia.org/wiki/Data_access_object)
    * settings.js           --> Requirejs settings
    * vendors.js            --> Mainly used to load jquery plugins